/* flabel.h
 */

#ifndef FLABEL_H
#define FLABEL_H

#include <qevent.h>
#include <qlabel.h>

/**
 * This class only connects some slots to signals.
 */
class FLabel : public QLabel
{
	Q_OBJECT

public:
	FLabel( QWidget *parent=0, const char *name=0, WFlags f=0 ) ;
	FLabel( const char *text, QWidget *parent=0,
			const char *name=0, WFlags f=0 ) ;

protected:
	void mousePressEvent( QMouseEvent * ) ;
	void mouseReleaseEvent( QMouseEvent * ) ;
	void mouseMoveEvent( QMouseEvent * ) ;
signals:
	void notifyMousePressEvent( QMouseEvent * ) ;
	void notifyMouseReleaseEvent( QMouseEvent * ) ;
	void notifyMouseMoveEvent( QMouseEvent * ) ;
} ;
#endif
